import { defineConfig, presetWind } from "unocss"
import colors from "windicss/colors"

export default defineConfig({
	presets: [
		presetWind({
			arbitraryVariants: true,
			preflight: true
		})
	],
	theme: {
		fontFamily: {
			"normal": `"Inter Variable", sans-serif`,
			"fat": `"Titan One", sans-serif`
		},
		colors: {
			transparent: "transparent",
			white: colors.white,
			black: colors.black,
			gray: colors.zinc,
			light: colors.light,
			dark: colors.dark,
			red: colors.rose,
			yellow: colors.yellow,
			green: colors.green,
			blue: colors.indigo,
		}
	}
})
